uses
	testlib, sysutils;

const
	EPS = 2.1e-6;

var
	n: longint;
	ja, pa: extended;

begin
	DecimalSeparator := '.';

	n := inf.readlongint;
	
	ja := ans.readreal;
	pa := ouf.readreal;

	if abs(ja - pa) > EPS then
		quit(_wa, format('n = %d, expected: %.6f, found: %.6f', [n, ja, pa]));

	quit(_ok, format('n = %d, ans = %.6f', [n, ja]));
end.